@charset "utf-8";

/* buyback----------------------------- */
.flow > p{
    text-align: center;
    font-family: "Noto Serif JP", serif;
    padding: 40px 0;
}
.flow h2{
    font-family: "Noto Serif JP", serif;
    font-size: 2.5rem;
    text-align: center;
}
.flow-container{
    border: 3px solid #171C6180;
    background-color: #FFF;
    padding: 20px 0;
    margin: 40px auto;
}
.flow-flex{
    display: flex;
    align-items: center;
    gap: 5px 20px;
    width: 80%;
    margin: auto;
}
.flow-flex .number{
    background-color: var(--main-color-blue);
    color: #fff;
    border-radius: 9px;
    text-align: center;
    font-size: 0.8rem;
    line-height: 1;
    padding: 10px 12px;
    flex-shrink: 0;
}
.flow-flex .number span{
    display: block;
    font-size: 2.2rem;
    font-weight: 400;
}
.flow-flex h3{
    font-family: "Noto Serif JP", serif;
    font-size: 2rem;
    flex-shrink: 0;
    white-space: nowrap;  
}
.flow-container ul.flow-flex li{
    width: 50%;
}
.flow-container ul.flow-flex li a{
    transition: all 0.3s ease-in-out;
}
.flow-container ul.flow-flex li a:hover{
    opacity: 0.8;
}
@media (max-width: 1200px) {
    .flow-flex h3{
        /* ? 24px-32px */
        font-size: clamp(1.5rem, 0.6079rem + 1.8561vw, 2rem);
    }
}
@media (max-width: 768px) {
    .flow > p{
        padding: 20px 0;
    }
    .flow h2{
        font-size: 2rem;
    }
    .flow-flex{
        flex-wrap: wrap;
        width: 90%;
    }
    .flow-flex:has(a){
        max-width: 400px;
    }
    .flow-flex h3 {
        font-size: 1.5rem;
        flex: auto 0 1;
    }
    .flow-flex p{
        flex-basis: 100%;
    }
    .flow-flex .number span{
        font-size: 1.7rem;
    }
    .flow-container ul.flow-flex li{
        width: 100%;
    }
    .more-btn{
        width: 40%;
        min-width: 200px;
    }
}